import request from '@/utils/request'

export function updatePwo(data){
	return request({
		url:  '/mes/pwo',
		method: 'put',
		data: data
	})
}

export function addCustomizeEsop(data){
	return request({
		url:'/esop/customizeEsop',
		method: 'post',
		data: data
	})
}


// 查询产线实例列表
export function listProLine(query) {
  return request({
    url: '/basic/proLine/list',
    method: 'get',
    params: query
  })
}

// 查询生产工单列表
export function listPwo(query) {
  return request({
    url: '/mes/pwo/list',
    method: 'get',
    params: query
  })
}


// 查询工位列表
export function listStation(query) {
  return request({
    url: '/basic/station/list',
    method: 'get',
    params: query
  })
}

// 查询生产工单作业列表
export function listPwoJob(query) {
  return request({
    url: '/mes/pwoJob/list',
    method: 'get',
    params: query
  })
}
